summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/common/ytclipo1
-rwxr-xr-xbin/extra/gml13
-rwxr-xr-xbin/guiscripts/fillpass13
-rwxr-xr-xbin/menuscripts/mpower2
4 files changed, 24 insertions, 5 deletions
diff --git a/bin/common/ytclipo b/bin/common/ytclipo
index 7e7b9cc..fc98b6e 100755
--- a/bin/common/ytclipo
+++ b/bin/common/ytclipo
@@ -18,6 +18,7 @@ notify-send "ytclipo" "<b>downloading</b> $inp"
yt-dlp "$inp" \
--restrict-filenames \
+ --embed-chapters \
-f "b" \
-S "res:1080" \
-P "$HOME/vids/youtube/" \
diff --git a/bin/extra/gml b/bin/extra/gml
index 0d3a277..0f2f143 100755
--- a/bin/extra/gml
+++ b/bin/extra/gml
@@ -48,17 +48,22 @@ steam()
{
choice="$(
cat <<-EOF | column -t -l 2 | commander -d -x -c | awk '{printf $1}'
- 274190 broforc3
+ 274190 broforce
291550 brawlhalla
1712840 tiny tina
- EOF
+ 105600 terraria
+ kill
+EOF
)"
- [ "$choice" ] && setsid steam steam://rungameid/"$choice"
+ case "$choice" in
+ kill) pkill steam ;;
+ *) setsid steam steam://rungameid/"$choice" ;;
+ esac
exit
}
eval "$(
- cat <<-EOF | commander -c
+ cat <<-EOF | commander -c -w 9 -y 2
minecraft
steam
EOF
diff --git a/bin/guiscripts/fillpass b/bin/guiscripts/fillpass
new file mode 100755
index 0000000..87e74ca
--- /dev/null
+++ b/bin/guiscripts/fillpass
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+pass="$(
+ find "${PASSWORD_STORE_DIR:=~/src/password-store/}" -name "*.gpg" |
+ sed -e "s@$PASSWORD_STORE_DIR/@@" -e 's/\.gpg$//' |
+ commander -x -c)"
+[ "$pass" ] || exit 1
+
+login="$(pass show "$pass" | awk '/^login:/ {print $2}')"
+password="$(pass show "$pass" | head -n 1)"
+
+printf '%s\t%s\n' "$login" "$password" |
+ ydotool type -f -
diff --git a/bin/menuscripts/mpower b/bin/menuscripts/mpower
index 1543a0b..0d0cdcc 100755
--- a/bin/menuscripts/mpower
+++ b/bin/menuscripts/mpower
@@ -1,6 +1,6 @@
#!/bin/sh
choice="$(
-cat <<EOF | commander -c
+cat <<EOF | commander -c -w 9 -y 4
poweroff
suspend
hibernate